#!/bin/sh -efu

a= . install2-init-functions

userdir_conf_file="$destdir/etc/httpd2/conf/mods-available/userdir.conf"

[ -s "$userdir_conf_file" ] ||
cat >$userdir_conf_file<<EOF
<IfModule userdir_module>
    UserDir public_html
    <Directory /home/*/public_html>
	allow from all
    </Directory>
</Ifmodule>
EOF

exec_chroot chkconfig httpd2 on
exec_chroot a2enmod userdir
